Airport and Linksys router

Discussion in 'Mac Apps and Mac App Store' started by applekid, Nov 13, 2004.

  1. macrumors 68020

    Jul 3, 2003
    I accidentally updated my Aiport drivers to whatever is the recent version is, so now I can't use my neighbor's Linksys wifi router (they know I'm using it ;) ). I have another Mac in my apartment that I network over the router since the MacWireless USB Adapter I have and my Airport in this Mac are somehow incompatible.

    Is there anyway I can downgrade my drivers?
  2. emw
    macrumors G4


    Aug 2, 2004
    That's odd. I am running the latest drivers on both my iMac and my PowerBook and am able to connect to my Linksys router from both (one is Airport, one is Airport Extreme).

    Without going back and doing a doing a fresh install of OS X 10.3 and then carefully re-updating everything, I don't think you can do a re-install.

    I'd try resetting preferences or repairing permissions before trying to downgrade. Mostly because I know it works fine on my system with the WRT54G.
  3. macrumors 68030


    Nov 7, 2003
    tell your neighbor to reboot his router.
  4. macrumors 65816


    Nov 7, 2004
    Houston, USA
    What is with that? I've noticed the same thing on my Netgear router with my 15inc 1.5Ghz PB and my room mate's 12inch PB, every now and then AirPort can't connect and the only way to get it to connect is to reboot the router. Neither my Toshiba laptop running Gentoo Linux or my Compaq running XP has the same problem so it must be something in Apple's networking code, any idea what?
  5. thread starter macrumors 68020

    Jul 3, 2003

Share This Page